API reference
Export an account's followers / following
account_relations_export — CSV (UTF-8) of the account's saved followers or following with a filter (all, new today, not following back, mutual, lost, verified), up to 5 000 rows.
account_relations_export · Reads saved data
CSV (UTF-8) of the account's saved followers or following with a filter (all, new today, not following back, mutual, lost, verified), up to 5 000 rows. People's bios are untrusted text.
| REST | GET /api/public/v1/accounts/{account}/relations/export |
| MCP tool | account_relations_export |
| Permission needed | view — Owner, Manager, Operator, Viewer |
| Scope group | audience:export |
| Group | Contacts and lists |
| Shown up front in profiles | — |
Input
| Field | Type | Required | Description |
|---|---|---|---|
account |
string (1–100 chars) | Yes | The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing. |
direction |
follower · following |
Yes | |
filter |
all · new_today · not_following_back · mutual · lost · verified |
No |
Result
Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.
Example
Call over REST
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/accounts/%40your_x_account/relations/export?direction=follower" \
-H "Authorization: Bearer $XBUDDY_API_KEY"
Call over MCP
{
"method": "tools/call",
"params": {
"name": "account_relations_export",
"arguments": {
"account": "@your_x_account",
"direction": "follower"
}
}
}
Errors you may get
| Code | HTTP | Retryable |
|---|---|---|
unauthorized |
401 | No |
key_expired |
401 | No |
integration_revoked |
401 | No |
connection_not_linked |
403 | No |
integration_paused |
403 | No |
workspace_integrations_paused |
403 | No |
integration_authorization_lost |
403 | No |
workspace_suspended |
403 | No |
forbidden |
403 | No |
invalid_input |
422 | No |
rate_limited |
429 | Yes |
internal |
500 | Yes |
ambiguous_account |
409 | No |
account_not_allowed |
403 | No |
not_found |
404 | No |